Support Center

Technical Requirements

Last Updated: Jun 21, 2017 09:02AM CDT

BROWSERS

In order to access the 5Essentials Surveys, participants should use:
  • Mozilla Firefox, v4 or newer
  • Internet Explorer, v7 or newer
  • Google Chrome (any version)
  • Safari, v5 or newer


In order to access the 5Essentials Reports, participants should use:
  • Microsoft Edge (any version)
  • Mozilla Firefox,  v40 or newer
  • Internet Explorer, v11 or newer
  • Google Chrome, v44 or newer
  • Safari, v10 or newer

Contact Us

  • Email Us
  • 5Essentials Client Services
    5essentials@uchicago.edu 1.866.440.1874
    (Mon-Fri, 8:30am-5pm Central)
ccsr-survey@uchicago.edu
http://assets1.desk.com/
false
il5essentials
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete